####4.2 Cervejas
#Criando o vetor cervejas
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

##1. Represente este resultado como um grafico de barras e um dotplot (fungco dotchart).
#Calculando a densidade relativa das observacoes 
x = table(cervejas)
x.sort = sort(x, decreasing=TRUE)
x.perc = x.sort/sum(x.sort) * 100

#Construindo o grafico de barras
par( omd=c(0.1,1,0,1) )
barplot(x.perc, xlab="Densidade Relativa (%)", horiz=T, las=1)

#Construindo o dotplot
par(omd=c(0.01, 1, 0, 1))
dotchart( log(x.perc), xlab="Logaritmo Natural da Densidade Relativa (%)")

##2. Qual tem maior razco dado/tinta?
#RESP: O segundo grafico (i.e., dotplot).


####4.3 Caixetais
#Carregando os dados
caixeta <- read.csv("caixeta.csv", as.is=T)

##1. Construa um histograma do dap dos fustes dos caixetais.
#Construindo o histograma do dap dos fustes
hist(caixeta$cap/pi, xlab="DAP(cm)", ylab="Freq|jncia", main="Histograma", col = "grey")

##2. Construa histogramas da altura das arvores para os diferentes caixetais ('local').
#Para construir esses histogramas por local, vamos utilizar o pacote lattice
library(lattice)

#Construindo o histograma da altura das arvores por local
histogram( ~ h | local , data= caixeta, xlab="Altura das arvores (m)",
           ylab="Freq|jncia", main="Histogramas", col = "grey")

##3. Ha diferengas entre as estruturas (distribuigco de tamanhos) dos caixetais?
#RESP: Sim, chauas e jureia tem frequjncias mais parecidas para as classes de alturas
#aqui analisadas,enquanto que no retiro essas frequencias sco um pouco diferentes.


####4.4 Eucaliptos
##1. Utilize o grafico boxplot para analisar o DAP de arvores de E. grandis em fungco das variaveis regico (regiao) e rotagco (rotacao).
#Carregando os dados
egr <-  read.csv("egrandis.csv",header=TRUE, sep= ";")

#Boxplot do dap por regiao
colnames(egr)
boxplot(dap ~ regiao, data=egr, main= "Boxplot (E. grandis)", ylab= "DAP", xlab= "")

#Boxplot do dap por rotacao
colnames(egr)
boxplot(dap ~ rotacao, data=egr, main= "Boxplot (E. grandis)", ylab= "DAP", xlab= "Rotagco")

##2. Avalie a normalidade da altura do conjunto total de arvores com um grafico quantil-quantil contra a distribuigco normal.
#Construindo o grafico quantil-quantil
qqnorm(egr$ht)

#Construindo a linha tesrica com base na distribuigco normal
qqline(egr$ht)


####4.5 Mais Caixetais
##1. Analise a relagco dap-altura ('dap' e 'h') em fungco do caixetal (local) com a fungco plot, mas somente para as arvores de caixeta (Tabebuia cassinoides).
#Revendo as primeiras linhas do objeto caixeta
head(caixeta)

#Selecionando apenas a linhas com a espicie de interesse
Tab.cas <- subset(caixeta, caixeta$especie == "Tabebuia cassinoides", 
                  select = local:especie) 

#Criando o dap de cada fuste
Tab.cas$dap.fuste <- Tab.cas$cap/pi

#Criando a variavel area.basal para cada fuste a partir da variavel dap
Tab.cas$area.basal <- pi*((Tab.cas$dap.fuste/2)^2)

#Somando a area basal de cada arvore
Tab.cas.ag <- aggregate(Tab.cas$area.basal, by = list(local= Tab.cas$local, arvore= Tab.cas$arvore,  
                                                      h= Tab.cas$h), FUN = sum)

#Renomeando a coluna x como area.basal e apresentando as seis primeiras linhas
colnames(Tab.cas.ag)[4] <- "area.basal"
head(Tab.cas.ag)

#Calculando o DAP final
Tab.cas.ag$dap.final <- sqrt(Tab.cas.ag$area.basal/pi)*2

#Plotando a relacao do dap e h em funcao do local
plot(x= Tab.cas.ag[Tab.cas.ag$local=="chauas",]$h, y= Tab.cas.ag[Tab.cas.ag$local=="chauas",]$dap.final, xlab="Altura (cm)", ylab= "DAP (cm)")
plot(x= Tab.cas.ag[Tab.cas.ag$local=="retiro",]$h, y= Tab.cas.ag[Tab.cas.ag$local=="retiro",]$dap.final, xlab="Altura (cm)", ylab= "DAP (cm)")
plot(x= Tab.cas.ag[Tab.cas.ag$local=="jureia",]$h, y= Tab.cas.ag[Tab.cas.ag$local=="jureia",]$dap.final, xlab="Altura (cm)", ylab= "DAP (cm)")


##2. Para a mesma relacao do item anterior, verifique linearidade com a funcao scatter.smooth
with(Tab.cas.ag[Tab.cas.ag$local == "chauas",], scatter.smooth(x= dap.final, y= h, main= "Chauas"))
with(Tab.cas.ag[Tab.cas.ag$local == "retiro",], scatter.smooth(x= dap.final, y= h, main= "Retiro"))
with(Tab.cas.ag[Tab.cas.ag$local == "jureia",], scatter.smooth(x= dap.final, y= h, main= "Jureia"))


##3. Utilizando o pacote lattice, analise a relacao dap-altura ('dap' e 'h') em funcao do caixetal (local), mas somente para as arvores de caixeta (Tabebuia cassinoides).
#Carregando o pacote lattice
library(lattice)

##Plotando a relacao do dap e h em funcao do local mas agora com o pacote lattice
xyplot(h ~ dap.final | local, data = Tab.cas.ag)
