#### Exerccios 8. Reamostragem e Simulao

# Exerccio 1.

eutad <- read.table("palmadulto.txt", header = T)

head(eutad) # primeiras linhas

dist = matrix(NA, ncol = 102, nrow = 102) # distncias entre cada indivduo
# matriz com "NA", 102 linhas e colunas

for(i in 1:101) #linha indo de 1 a 101, o primeiro elemento  zero
{
  for(j in (i+1):102) #coluna indo de 2 a 102. 
  {
    difx2 = (eutad$gx[i]-eutad$gx[j])^2 #distancia dos vizinhos entre as coordenadas X
    dify2 = (eutad$gy[i]-eutad$gy[j])^2 #distancia dos vizinhos entre as coordenadas Y
    dist[i,j] <- sqrt(difx2 + dify2) #Preenchendo o triangulo superior, com a hipotenusa (distancia entre os elementos).
    dist[j,i] <- sqrt(difx2 + dify2) #Preenchendo o triangulo inferior, com a hipotenusa (distancia entre os elementos).
  }
  
}

(nn<-apply(dist, 1, min, na.rm=TRUE)) #distncia do vizinho mais prximo (MNN)
(mnn<-mean(nn)) #distncia mdia do vizinho mais prximo (MNN)

#Simulando
#$At agora calculamos o valor esperado da distncia mdia do vizinho mais prximo. Os prximos passos, so 1):

#1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.

resultado <- rep(NA, 1000)

#1.6. Guarde o valor observado na primeira posio de resultado;

resultado[1] <- mnn

#1.7. Crie um ciclo com contador (k) que vai de 2 a 1000
#1.8. Dentro do ciclo:
  #1.8.1. Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal2). Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado;
#1.8.2. Faa o mesmo que no passo anterior e guarde no objeto ysim;
#1.8.3. Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados;
#1.8.3. Crie os ciclos para o calculo das distncias como no tpico anterior;
#1.8.4. Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado;
#1.8.5. Feche o ciclo.

eutad #banco

range(eutad$gx) #valor mximo de x = 320
range(eutad$gy) #valor mximo de y = 311

length(eutad$gx) #numero de elementos: 102


for(k in 2:1000) {
  xsim <- round(runif(102, 0, 320), 1)
  ysim <- round(runif(102, 0, 311), 1)
  xy <- data.frame(xsim, ysim) #para o comando matrix  necessrio colocar dataframe
  mdist <- as.matrix(dist(xy, diag = FALSE, upper = TRUE))
  diag(mdist) <- NA
  mnnd <- apply(mdist, 1, min, na.rm=TRUE)
  resultado[k] <- mean(mnnd)
}


#1.9. Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na posio do valor observado

hist(resultado)

abline(v = resultado[1], col = "red")

#1.10. Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor MNN observado.

result_mean <- resultado - mean(resultado) 

valor_p <- sum(abs(result_mean) >= abs(result_mean[1])) / length(result_mean)

# Probabilidade de 0.096

#Exerccio 2
#Simulando o teste de uma regresso linear

a <- read.table("animais.txt", header = T, sep = ";", dec = "," )

str(a) #vendo estrutura

summary(a) #resumo

a[a == ""] <- NA

a <- na.omit(a) #omitindo NA


#2.1. Calcule a inclinao da relao log(brain) ~ log(body)

x <- log(a$body) - mean(log(a$body))
y <- log(a$brain) - mean(log(a$brain))

b <- sum(x * y)/ sum(x ^ 2) #beta observado

resultado <- rep(NA, 1000)

resultado[1] <- b #observado na posio 1

for(k in 2:1000){ #simulao
  sim_brain <- sample(a$brain) #vetor brain desordenado
  resultado[k] <- coef(lm(log(sim_brain) ~ log(a$body)))[[2]] #inclinao
}

hist(resultado) #histograma dos valores simulados 

abline(v = resultado[1], col = "red") #linha do valor observado da inclinao da relao

valor_p <- sum(abs(resultado) >= abs(resultado[1]))/ length(resultado) # probabilidade da inclinao observada ter sido gerada por variveis que so independentes

valor_p
#probabilidade de 0.001
