#Patricia M M Bermudi
#7b. Exerccios de Regresso Mltipla

###### Uma estimativa da incerteza na previso do modelo ######

b <- read.table("babies.txt", header = T, sep = " ") # lendo o banco

head(b) # primeiras linhas

which(b$gestation == 999) # vendo quais variaveis sao 999
which(b$bwt == 999) #nao tem 999

b$gestation[b$gestation == 999] <- NA #atribuindo NA

b <- na.omit(b) #omitindo os NAs

# 1 ona equivale a 0.0283495 kg

b$bwt <- c(b$bwt * 0.0283495) #convertendo ona para kg

## Primeira maneira de fazer

lmb <- lm(bwt ~ gestation, data = b) # modelo linear 

newx <- seq(min(b$gestation) -10, max(b$gestation) + 10, length.out=100) #criando uma sequencia de 100 nmeros da varivel x, gestacao
#para dar certo  necessrio no modelo, separar o "data", no pode usar o $.

preds <- predict(lmb, newdata = data.frame(gestation=newx), 
                 interval = 'confidence') #valores preditos e os respectivos intervalos de confiana

plot(bwt ~ gestation, #plotando o modelo
     data = b, #banco
     ylab = "Peso do beb (kg)", #titulo eixo y
     xlab = "Gestao (dias) ") #titulo eixo x) #plotando o grfico

polygon(c(rev(newx), newx), c(rev(preds[ ,3]), preds[ ,2]),
        col = rgb(0,0,0,0.2), border = NA) #fazendo o poligono do intervalo de confiana

abline(lmb) #colocando a linha do modelo

## Segundo modo de resoluo - calculando por meio da frmula

ssx <- sum((b$gestation - mean(b$gestation)) ^ 2)#soma dos desvios quadráticos dos valores de x observados

s2 <- var(b$bwt) #variância dos valores de y observado

n <- length (b$bwt) #variância dos valores de y observado

newx <- seq(min(b$gestation) -10, max(b$gestation) + 10, length.out=100) #valores de observados

x_med <- mean(b$gestation) #média dos valores de x observados

ss <- ((newx - x_med) ^ 2) #var preditora - sua mdia elevado ao quadrado

sey <- sqrt (s2 * ((1/n) + (ss/ssx))) #erro padro da previso do modelo

sey <- sey * qt (0.975, length (b$bwt) - 2, lower.tail = T) #estimativa do intervalo de confiana

lmb <- lm(bwt ~ gestation, data = b) # modelo linear 

pred <- (coef(lmb)[1] + #Intercept
           (coef(lmb)[2] * newx)) # gestation * newx

plot(bwt ~ gestation, # plotando o modelo
     data = b,  #banco de dados
     ylab = "Peso do beb (kg)", #titulo eixo y
     xlab = "Gestao (dias) ") #titulo eixo x

abline(lmb) #linha do modelo


polygon(c(rev(newx), newx), c(rev(pred - sey), pred + sey),
        col = rgb(0, 0, 0, 0.6), border = NA) #fazendo o poligono do intervalo de confiana

#poltando s as linhas dos milites dos intervalos intervalos

lines((pred + sey) ~ newx, col = "blue") 

lines((pred - sey) ~ newx, col = "blue")

###### Galileu estava Certo? ######

init.h  <-  c(600, 700, 800, 950, 1100, 1300, 1500) #alturas de lanamentos

h.d  <-  c(253, 337, 395, 451, 495, 534, 573) #distncias percorridas

# Modelo 1: Y = a + bx 
mod1 <- lm(h.d ~ init.h) # modelo linear das distncias em funo das alturas

# Modelo 2: Y = a + bx + cx^2 
mod2 <- lm(h.d ~ init.h + I(init.h ^ 2)) #ajustando a parbola 

anova(mod1, mod2) #comparando os modelos

#Significativo

# Modelo 3: Y = a + bx + cx^2 + dx^3

mod3 <- lm(h.d ~ init.h + I(init.h ^ 2) + 
             I (init.h ^ 3)) #acrescento o terceiro termo (polinmio de terceiro grau)

anova(mod2, mod3) #comparando os modelos

#Significativo 

#Plotando as curvas dos trs modelos
plot(h.d ~ init.h,
     xlab = "Alturas de lanamentos",
     ylab = "Distncias percorridas")

abline(mod1) #Linha do modelo 1

curve(coef(mod2)[1] + coef(mod2)[2] * x + coef(mod2)[3] * x ^ 2, 
      add = T, lty = 2, col = "blue") #Curva do modelo 2

cf.m3 <- coef(mod3)
curve(coef(mod3)[1] + coef(mod3)[2] * x + coef(mod3)[3] * x ^ 2 +
        coef(mod3)[4] * x ^ 3, add = T, lty = 2, col = "red")  #Curva do modelo 3

# Concluso: Sim, o polinmio de terceiro grau  um modelo mais adequado para descrever os dados do experimento de Galileu. A diferena entre os modelos 2 e 3 foi significativa. Ao plotarmos as respetictivas linhas e curvas dos modelos, a concluso de que a curva do terceiro modelo  a mais adequada, fica mais evidente, uma vez que essa passa por todos os pontos. 

###### Massa de Recm-Nascidos ###### 

b <- read.table("babies.txt", header = T, sep = " ") # lendo o banco

str(b) #vendo a estrutura

#indexando e transformando ignorado em NA

b$bwt[b$bwt == 999] <- NA
b$gestation[b$gestation == 999] <- NA
b$parity[b$parity == 9] <- NA
b$age[b$age == 99] <- NA
b$height[b$height == 99] <- NA
b$weight[b$weight == 999] <- NA
b$smoke[b$smoke == 9] <- NA

b <- na.omit(b) #omitindo os NA

b$bwt <- c(b$bwt * 0.0283495) #transformando a variavel para kG
b$height <- c(b$height * 0.0254)  #transformando a variavel para metros
b$weigh <- c(b$weigh * 2.20462)  #transformando a variavel para KG

#transformando as vars categoricas em fator

b$parity <- as.factor(b$parity) 
b$smoke <- as.factor(b$smoke) 

summary(b) # vendo o resumo do banco

## Princpio da parcimnia (Navalha de Occam)

 #nmero de parmetros menor possvel
 #linear  melhor que no-linear
 #reter menos pressupostos
 #simplificar ao mnimo adequado
 #explicaes mais simples so preferveis

## Mtodo do modelo cheio ao mnimo adequado

 #ajuste o modelo mximo (cheio)
 #simplifique o modelo:
  #inspecione os coeficientes (summary)
 #remova termos no significativos
 #ordem de remoo de termos:
  #interao no significativos (maior ordem)
  #termos quadrticos ou no lineares
  #variveis explicativas no significativas
  #agrupe nveis de fatores sem diferena
  #ANCOVA: intercepto no significativos ??? 0

#Tomada de deciso

#A diferena no  significativa: retenha o modelo mais simples e continue simplificando

#A diferea  significativa: retenha o modelo complexo. Este  o modelo MINMO ADEQUADO

# Motando o Modelo cheio

names(b) #vendo os nomes das vars

#facilitar as junes. Dica: pegue todos aps a repetio (ex: age:age)

paste("parity", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("age", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno


paste("weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:parity", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:age", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("parity:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("parity:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("age:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("age:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("heigh:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:parity:age", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:parity:age", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:parity:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("parity:age:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("age:height:weight", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("gestation:parity:age:height", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno

paste("parity:age:height:weight ", c("gestation", "parity", "age", "height", "weight", "smoke"), sep = ":") #criando um vetor com juno


mod1 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + gestation:age + gestation:height + 
             gestation:weight + gestation:smoke  +
             parity:age +  parity:height + parity:weight + 
             parity:smoke + age:height + age:weight + 
             age:smoke + height:weight + height:smoke + 
             weight:smoke + 
             gestation:parity:age + 
             gestation:parity:weight +
             gestation:parity:height + 
             gestation:parity:smoke + 
             gestation:age:height + 
             gestation:age:weight + 
             gestation:age:smoke + 
             gestation:height:weight + 
             gestation:height:smoke + 
             gestation:weight:smoke +
             parity:age:height +
             parity:age:weight + 
             parity:age:smoke +
             parity:height:weight + 
             parity:height:smoke + 
             parity:weight:smoke + 
             age:height:weight +
             age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             height:weight:smoke +
             gestation:parity:age:weight +
             gestation:parity:age:height +
             gestation:parity:age:smoke +
             gestation:parity:height:weight +
             gestation:parity:height:smoke +
             gestation:parity:weight:smoke +
             parity:age:height:weight +
             parity:age:height:smoke +
             parity:age:weight:smoke +
             age:height:weight:smoke +
             gestation:parity:age:height:weight +
             gestation:parity:age:height:smoke +
             parity:age:height:weight:smoke +
             gestation:parity:age:height:weight:smoke, 
           data = b)

summary(mod1)           

#No termo foi significativo

#retirando interao de ordem 6

mod2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + gestation:age + gestation:height + 
             gestation:weight + gestation:smoke  +
             parity:age +  parity:height + parity:weight + 
             parity:smoke + age:height + age:weight + 
             age:smoke + height:weight + height:smoke + 
             weight:smoke + 
             gestation:parity:age + 
             gestation:parity:weight +
             gestation:parity:height + 
             gestation:parity:smoke + 
             gestation:age:height + 
             gestation:age:weight + 
             gestation:age:smoke + 
             gestation:height:weight + 
             gestation:height:smoke + 
             gestation:weight:smoke +
             parity:age:height +
             parity:age:weight + 
             parity:age:smoke +
             parity:height:weight + 
             parity:height:smoke + 
             parity:weight:smoke + 
             age:height:weight +
             age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             height:weight:smoke +
             gestation:parity:age:weight +
             gestation:parity:age:height +
             gestation:parity:age:smoke +
             gestation:parity:height:weight +
             gestation:parity:height:smoke +
             gestation:parity:weight:smoke +
             parity:age:height:weight +
             parity:age:height:smoke +
             parity:age:weight:smoke +
             age:height:weight:smoke +
             gestation:parity:age:height:weight +
             gestation:parity:age:height:smoke +
             parity:age:height:weight:smoke, 
           data = b)
             

anova(mod2, mod1)

#no significante. Ficamos com o mod2 mais simples. 

#retirando as interaes de ordem 5 uma a uma 
             
mod3_1 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + gestation:age + gestation:height + 
             gestation:weight + gestation:smoke  +
             parity:age +  parity:height + parity:weight + 
             parity:smoke + age:height + age:weight + 
             age:smoke + height:weight + height:smoke + 
             weight:smoke + 
             gestation:parity:age + 
             gestation:parity:weight +
             gestation:parity:height + 
             gestation:parity:smoke + 
             gestation:age:height + 
             gestation:age:weight + 
             gestation:age:smoke + 
             gestation:height:weight + 
             gestation:height:smoke + 
             gestation:weight:smoke +
             parity:age:height +
             parity:age:weight + 
             parity:age:smoke +
             parity:height:weight + 
             parity:height:smoke + 
             parity:weight:smoke + 
             age:height:weight +
             age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             height:weight:smoke +
             gestation:parity:age:weight +
             gestation:parity:age:height +
             gestation:parity:age:smoke +
             gestation:parity:height:weight +
             gestation:parity:height:smoke +
             gestation:parity:weight:smoke +
             parity:age:height:weight +
             parity:age:height:smoke +
             parity:age:weight:smoke +
             age:height:weight:smoke +
             #gestation:parity:age:height:weight +
             gestation:parity:age:height:smoke +
             parity:age:height:weight:smoke, 
           data = b)             

anova (mod2, mod3_1) # p:0.22

mod3_2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke +
               gestation:parity:age:height:weight +
               #gestation:parity:age:height:smoke +
               parity:age:height:weight:smoke, 
             data = b)             

               
anova (mod2, mod3_2) # p:0.68           
             
mod3_3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke +
               gestation:parity:age:height:weight +
               gestation:parity:age:height:smoke,
               #parity:age:height:weight:smoke, 
             data = b)    

anova (mod2, mod3_3) # p:0.68               
             
#Nenhum dos trs modelos de ordem 5 significantes! Retira todas interaes! 

# Fica com modelo mais simples = mod 3 sem nenhum interao de ordem 5
mod3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

# Retirando as interaes de ordem 4, uma a uma

mod4_1 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + gestation:age + gestation:height + 
             gestation:weight + gestation:smoke  +
             parity:age +  parity:height + parity:weight + 
             parity:smoke + age:height + age:weight + 
             age:smoke + height:weight + height:smoke + 
             weight:smoke + 
             gestation:parity:age + 
             gestation:parity:weight +
             gestation:parity:height + 
             gestation:parity:smoke + 
             gestation:age:height + 
             gestation:age:weight + 
             gestation:age:smoke + 
             gestation:height:weight + 
             gestation:height:smoke + 
             gestation:weight:smoke +
             parity:age:height +
             parity:age:weight + 
             parity:age:smoke +
             parity:height:weight + 
             parity:height:smoke + 
             parity:weight:smoke + 
             age:height:weight +
             age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             height:weight:smoke +
             #gestation:parity:age:weight +
             gestation:parity:age:height +
             gestation:parity:age:smoke +
             gestation:parity:height:weight +
             gestation:parity:height:smoke +
             gestation:parity:weight:smoke +
             parity:age:height:weight +
             parity:age:height:smoke +
             parity:age:weight:smoke +
             age:height:weight:smoke, 
           data = b)   

anova(mod4_1, mod3) # nao significante

mod4_2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               #gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)              

anova(mod4_2, mod3) # nao significante


mod4_3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               #gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_2, mod3) # nao significante


mod4_4 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               #gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_4, mod3) # nao significante

mod4_5 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               #gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_5, mod3) # nao significante

mod4_6 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               #gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_6, mod3) # nao significante

mod4_7 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               #parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_7, mod3) # SIGNIFICANTE!!

mod4_8 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               #parity:age:height:smoke +
               parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_8, mod3) # no significante

mod4_9 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               #parity:age:weight:smoke +
               age:height:weight:smoke, 
             data = b)

anova(mod4_9, mod3) # no significante

mod4_10 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke +
               gestation:parity:age:weight +
               gestation:parity:age:height +
               gestation:parity:age:smoke +
               gestation:parity:height:weight +
               gestation:parity:height:smoke +
               gestation:parity:weight:smoke +
               parity:age:height:weight +
               parity:age:height:smoke +
               parity:age:weight:smoke ,
               #age:height:weight:smoke, 
             data = b)

anova(mod4_10, mod3) # no significante


#O modelo "mod4_7" deu diferena significativa! Neste caso, vamos ficar com este modelo mais complexo. 

anova(mod4_7, mod3) # SIGNIFICANTE!! P-valor: 0.029


#Retirando os termos no significativos

summary(mod4_7)

#retirando os termos de interao de ordem 4, uma vez que todos no foram significantes

mod5 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)

anova(mod5, mod4_7) # no significativo, ficamos com o modelo mais simples, mod5. 

#Retirando as interaes de ordem 3, uma a uma

mod6_1 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + gestation:age + gestation:height + 
             gestation:weight + gestation:smoke  +
             parity:age +  parity:height + parity:weight + 
             parity:smoke + age:height + age:weight + 
             age:smoke + height:weight + height:smoke + 
             weight:smoke + 
             #gestation:parity:age + 
             gestation:parity:weight +
             gestation:parity:height + 
             gestation:parity:smoke + 
             gestation:age:height + 
             gestation:age:weight + 
             gestation:age:smoke + 
             gestation:height:weight + 
             gestation:height:smoke + 
             gestation:weight:smoke +
             parity:age:height +
             parity:age:weight + 
             parity:age:smoke +
             parity:height:weight + 
             parity:height:smoke + 
             parity:weight:smoke + 
             age:height:weight +
             age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             height:weight:smoke, 
           data = b)

anova(mod5, mod6_1) #no significante

mod6_2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               #gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)

anova(mod5, mod6_2) #no significante

mod6_3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               #gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_3) #no significante

mod6_4 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               #gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_4) #no significante

mod6_5 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               #gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)

anova(mod5, mod6_5) #no significante


mod6_6 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               #gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_6) #no significante

mod6_7 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               #gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_7) #no significante

mod6_8 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               #gestation:height:weight + 
               gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_8) #no significante

mod6_9 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               #gestation:height:smoke + 
               gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)
anova(mod5, mod6_9) #no significante

mod6_10 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + gestation:age + gestation:height + 
               gestation:weight + gestation:smoke  +
               parity:age +  parity:height + parity:weight + 
               parity:smoke + age:height + age:weight + 
               age:smoke + height:weight + height:smoke + 
               weight:smoke + 
               gestation:parity:age + 
               gestation:parity:weight +
               gestation:parity:height + 
               gestation:parity:smoke + 
               gestation:age:height + 
               gestation:age:weight + 
               gestation:age:smoke + 
               gestation:height:weight + 
               gestation:height:smoke + 
               #gestation:weight:smoke +
               parity:age:height +
               parity:age:weight + 
               parity:age:smoke +
               parity:height:weight + 
               parity:height:smoke + 
               parity:weight:smoke + 
               age:height:weight +
               age:height:smoke +
               age:weight:smoke +
               height:weight:smoke +
               height:weight:smoke, 
             data = b)

anova(mod5, mod6_10) #no significante

mod6_11 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                #parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_11) #no significante

mod6_12 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                #parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)
anova(mod5, mod6_12) #no significante

mod6_13 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                #parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_13) #no significante

mod6_14 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                #parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)
anova(mod5, mod6_14) #no significante

mod6_15 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                #parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_15) #no significante

mod6_16 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                #parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_16) #no significante

mod6_17 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                #age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_17) #no significante

mod6_18 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                #age:height:smoke +
                age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_18) #no significante

mod6_19 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                #age:weight:smoke +
                height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_19) #no significante

mod6_20 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                #height:weight:smoke +
                height:weight:smoke, 
              data = b)

anova(mod5, mod6_20) #no significante

mod6_21 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + gestation:age + gestation:height + 
                gestation:weight + gestation:smoke  +
                parity:age +  parity:height + parity:weight + 
                parity:smoke + age:height + age:weight + 
                age:smoke + height:weight + height:smoke + 
                weight:smoke + 
                gestation:parity:age + 
                gestation:parity:weight +
                gestation:parity:height + 
                gestation:parity:smoke + 
                gestation:age:height + 
                gestation:age:weight + 
                gestation:age:smoke + 
                gestation:height:weight + 
                gestation:height:smoke + 
                gestation:weight:smoke +
                parity:age:height +
                parity:age:weight + 
                parity:age:smoke +
                parity:height:weight + 
                parity:height:smoke + 
                parity:weight:smoke + 
                age:height:weight +
                age:height:smoke +
                age:weight:smoke +
                height:weight:smoke,
                #height:weight:smoke, 
              data = b)

anova(mod5, mod6_21) #no significante

#Nehum modelo de 3 interaes deu significante, vamos retirar todas as interaoes de ordem 3!

#Returando duas interaes uma a uma 

mod7 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
               gestation:age + 
               gestation:height + 
                gestation:weight + 
               gestation:smoke  +
                parity:age +  
               parity:height + 
               parity:weight + 
                parity:smoke + 
               age:height + 
               age:weight + 
                age:smoke + 
               height:weight + 
               height:smoke + 
                weight:smoke, 
              data = b)


mod7_0 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             gestation:parity + 
             gestation:age + 
             gestation:height + 
             gestation:weight + 
             gestation:smoke  +
             parity:age +  
             parity:height + 
             parity:weight + 
             parity:smoke + 
             age:height + 
             age:weight + 
             age:smoke + 
             height:weight + 
             height:smoke + 
             weight:smoke,
           data = b)

mod7_1 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
             #gestation:parity + 
             gestation:age + 
             gestation:height + 
             gestation:weight + 
             gestation:smoke  +
             parity:age +  
             parity:height + 
             parity:weight + 
             parity:smoke + 
             age:height + 
             age:weight + 
             age:smoke + 
             height:weight + 
             height:smoke + 
             weight:smoke, 
           data = b)

anova(mod7_1, mod7) #no significativo

mod7_2 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               #gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_2, mod7) # SIGNIFICATIVO

mod7_3 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               #gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_3, mod7) # no significativo

mod7_4 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               #gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_4, mod7) # no significativo

mod7_5 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               #gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_5, mod7) # SIGNIFICATIVO

mod7_6 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               #parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_6, mod7) # no significativo

mod7_7 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               #parity:height + 
               parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_7, mod7) # no significativo

mod7_8 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               #parity:weight + 
               parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_8, mod7) # no significativo

mod7_9 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               #parity:smoke + 
               age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_9, mod7) # no significativo

mod7_10 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
               gestation:parity + 
               gestation:age + 
               gestation:height + 
               gestation:weight + 
               gestation:smoke  +
               parity:age +  
               parity:height + 
               parity:weight + 
               parity:smoke + 
               #age:height + 
               age:weight + 
               age:smoke + 
               height:weight + 
               height:smoke + 
               weight:smoke, 
             data = b)

anova(mod7_10, mod7) # no significativo

mod7_11 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
                gestation:age + 
                gestation:height + 
                gestation:weight + 
                gestation:smoke  +
                parity:age +  
                parity:height + 
                parity:weight + 
                parity:smoke + 
                age:height + 
                #age:weight + 
                age:smoke + 
                height:weight + 
                height:smoke + 
                weight:smoke, 
              data = b)

anova(mod7_11, mod7) # no significativo

mod7_12 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
                gestation:age + 
                gestation:height + 
                gestation:weight + 
                gestation:smoke  +
                parity:age +  
                parity:height + 
                parity:weight + 
                parity:smoke + 
                age:height + 
                age:weight + 
                #age:smoke + 
                height:weight + 
                height:smoke + 
                weight:smoke, 
              data = b)

anova(mod7_12, mod7) # no significativo

mod7_13 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
                gestation:age + 
                gestation:height + 
                gestation:weight + 
                gestation:smoke  +
                parity:age +  
                parity:height + 
                parity:weight + 
                parity:smoke + 
                age:height + 
                age:weight + 
                age:smoke + 
                #height:weight + 
                height:smoke + 
                weight:smoke, 
              data = b)

anova(mod7_13, mod7) # no significativo

mod7_14 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
                gestation:age + 
                gestation:height + 
                gestation:weight + 
                gestation:smoke  +
                parity:age +  
                parity:height + 
                parity:weight + 
                parity:smoke + 
                age:height + 
                age:weight + 
                age:smoke + 
                height:weight + 
                #height:smoke + 
                weight:smoke, 
              data = b)

anova(mod7_14, mod7) # no significativo

mod7_15 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:parity + 
                gestation:age + 
                gestation:height + 
                gestation:weight + 
                gestation:smoke  +
                parity:age +  
                parity:height + 
                parity:weight + 
                parity:smoke + 
                age:height + 
                age:weight + 
                age:smoke + 
                height:weight + 
                height:smoke , 
                #weight:smoke, 
              data = b)

anova(mod7_15, mod7) # no significativo

# Os modelos mod7_2 e mod7_5 foram significativos!!

summary(mod7_2)
summary(mod7_5)

#retirando todos os termos de interaao de ordem 2, exceto os que foram significantes 

mod8 <- lm(bwt ~ gestation + parity + age + height + weight + smoke +
                gestation:age + gestation:smoke, data = b)

#retirando os termos simple, um a um 

mod8_1 <- lm(bwt ~ #gestation + 
               parity + 
               age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_1) #no significante

mod8_2 <- lm(bwt ~ gestation + 
               #parity + 
               age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_2) #Significante!!

mod8_3 <- lm(bwt ~ gestation + 
               parity + 
               #age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_3) #Significante!!

mod8_4 <- lm(bwt ~ gestation + 
               parity + 
               age + 
               #height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_4) #Significante!!

mod8_5 <- lm(bwt ~ gestation + 
               parity + 
               age + 
               height + 
               #weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_5) #Significante!!

mod8_6 <- lm(bwt ~ gestation + 
               parity + 
               age + 
               height + 
               weight + 
               #smoke +
               gestation:age + gestation:smoke, data = b)

anova(mod8, mod8_6) #Significante!!

#o unico modelo no significante foi mod8_1. Retirando o termo no significnate

mod8_1 <- lm(bwt ~ parity + 
               age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)
             
#retirando outros termos

mod9_1 <- lm(bwt ~ #parity + 
               age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b) #significante 

anova(mod9_1, mod8_1)

mod9_2 <- lm(bwt ~ parity + 
               #age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b) #significante 

anova(mod9_2, mod8_1) #significante 

mod9_3 <- lm(bwt ~ parity + 
               age + 
               #height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b) #significante 

anova(mod9_3, mod8_1) #significante 

mod9_4 <- lm(bwt ~ parity + 
               age + 
               height + 
               #weight + 
               smoke +
               gestation:age + gestation:smoke, data = b) #significante 

anova(mod9_4, mod8_1) #significante 

mod9_5 <- lm(bwt ~ parity + 
               age + 
               height + 
               weight + 
               #smoke +
               gestation:age + gestation:smoke, data = b) #significante 

anova(mod9_5, mod8_1) #significante 

mod9_6 <- lm(bwt ~ parity + 
               age + 
               height + 
               weight + 
               smoke,
               #gestation:age + gestation:smoke, 
             data = b) #significante 

anova(mod9_6, mod8_1) #significante 

## Concluso o melhor modelo  o modelo mod8_1

mod8_1 <- lm(bwt ~ parity + 
               age + 
               height + 
               weight + 
               smoke +
               gestation:age + gestation:smoke, data = b)

summary(mod8_1) #resumo

#verificando os resduos

par(mfrow = c(2,2), mar=c(4,4,2,2), cex.lab=1.2,
    cex.axis=1.2, las=1,  bty="n")
plot(mod8_1)

