#4.2 Cervejas
#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata") #lendo o banco

### 1. Represente este resultado como um gráfico de barras e um dotplot (função dotchart).

barplot(table(cervejas)) #gráfico de barras

dotchart(table(cervejas)) # gráfico dotplot


### 2. Qual tem maior razão dado/tinta?

# O dotchart possui a maior razão, considerando que quase não utiliza tinta. 


### 4.3 Caixetais
#Neste exercício, use o objeto caixeta, criado no tutorial Exploração de uma Variável Categórica.

caixeta <- read.csv("caixeta.csv", as.is=T) #lendo o banco
head(caixeta) # visualizando as seis primeiras linhas

# Construa um histograma do dap1) dos fustes dos caixetais.

caixeta$dap <- caixeta$cap / pi # construindo a variável Dap

str(caixeta) # verificando a estrutura

head(caixeta) #olhando as seis primeiras linhas do banco

hist(caixeta$dap, xlab = "DAP", ylab = "Frequência", main= "Diâmetro à altura do peito (DAP) dos fustes dos caixetais") #construindo um histograma do DAP do banco, no qual cada linha é um fuste. 

#Construa histogramas da altura das árvores para os diferentes caixetais ('local').

as.factor(caixeta$local) # verificando que a variavel 'local' possui 3 níveis: chauas, jureia, retiro

caixeta$local.f <- as.factor(caixeta$local)

par(mfrow = c(3, 1)) #criando uma janela para três gráficos empilhados. 

hist(caixeta$h[caixeta$local == "chauas"], xlab = "Altura do fuste mais alto do indivíduo",
     ylab = "Frequência",
     main = "Chauas") #histograma da altura das árvores para o local "chauas"
hist(caixeta$h[caixeta$local == "jureia"], xlab = "Altura do fuste mais alto do indivíduo",
     ylab = "Frequência",
     main = "Jureia") #histograma da altura das árvores para o local "jureia"
hist(caixeta$h[caixeta$local == "retiro"], xlab = "Altura do fuste mais alto do indivíduo",
     ylab = "Frequência",
     main = "Retiro") #histograma da altura das árvores para o local "retiro"

#Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?

#Sim. Aparentemente, no local "Jureia", a maior distribuição se concentra no meio do gráfico. As frequências vão aumentando gradativamente até antingirem valores de altura próximos de "100" e, da mesma forma, vão reduzindo de maneira gradativa. Já na localidade "Chauas" a maior distribuição está deslocada a esquerda do gráfico. Também existe um aumento gradativo seguido por redução, porém, observa-se valores pequenos de frequência até valores de altura em torno de "500'. Por fim, o local "Retiro" tem maior concentração em torno de valores de altura correspondentes a "50", com uma redução e novo aumento. 

### 4.4 Eucaliptos

#Neste exercício, use o conjunto de dados Inventário em Florestas Plantadas de Eucalyptus grandis.

eg <-  read.csv("egrandis.csv", sep = ";") #lendo o banco

# 1. Utilize o gráfico boxplot para analisar o DAP de árvores de E. grandis em função das variáveis região (regiao) e rotação (rotacao).

str(eg) #verificanco a estrutura

par(mfrow = c(1, 1)) #retornando janela para um gráfico

boxplot(eg$dap ~ eg$regiao, xlab = "Região", ylab = "DAP", main = "Boxplots dos DAPs de árvores de E. grandis em função da variável 'Região'" )

boxplot(eg$dap ~ eg$rotacao, xlab = "Rotação", ylab = "DAP", main = "Boxplots dos DAPs de árvores de E. grandis em função da variável 'Rotação' " )

#Avalie a normalidade da altura do conjunto total de árvores com um gráfico quantil-quantil contra a distribuição normal.

qqnorm(eg$ht) # gráfico normal qq plot
qqline(eg$ht, col = "red") # linha para comparação da distribuição normal

# Os valores extremos do gráfico se afastam da linha, indicando que não há normalidade. 

#4.5 Mais Caixetais

#Aqui usaremos novamente o objeto caixeta, criado no tutorial Exploração de uma Variável Categórica.

#Analise a relação dap-altura ('dap' e 'h') em função do caixetal (local) com a função plot, mas somente para as árvores 2) de caixeta (Tabebuia cassinoides).

caixeta$a.basal  <-  pi * ((caixeta$dap/ 2) ^ 2) # calculo da area basal de cada fuste
caixeta$a.basal

cax2 <- subset(caixeta, caixeta$especie == "Tabebuia cassinoides", 
       select = c("arvore", "h", "local", "dap", "a.basal"))  #selecao da especie 'Tabebuia cassinoides' com as informacoes de arvore, local, altura e dap


cax3 <- aggregate(cax2$a.basal, by = list(cax2$arvore, cax2$local, cax2$h),  
                         FUN = sum) #fazendo a soma da area total

colnames(cax3) <- c("arvore", "local", "altura", "ab_total") #renomeando


cax3$dap_total <- 2 * (sqrt((cax3$ab_total)/ pi)) #encontrando dap total  

par(mfrow = c(1,3)) #criando uma janela para três gráficos lado a lado.
plot(altura ~ dap_total, data = cax3[cax3$local == "chauas", ], main = "chauas") #gráfico da altura em função do dap total para o local chauas
plot(altura ~ dap_total, data = cax3[cax3$local == "jureia", ], main = "jureia") #gráfico da altura em função do dap total para o local jureia
plot(altura ~ dap_total, data = cax3[cax3$local == "retiro", ], main = "retiro") #gráfico da altura em função do dap total para o localretiro


#Para a mesma relação do item anterior, verifique linearidade com a função scatter.smooth

with(cax3[cax3$local == "chauas",], 
    scatter.smooth(x = dap_total, 
                   y = altura, 
                   main = "Chauas")) #verificando linearidade do DAP com a altura, para o local chauas

with(cax3[cax3$local == "jureia",], 
     scatter.smooth(x = dap_total, 
                    y = altura, 
                    main = "jureia")) #verificando linearidade do DAP com a altura, para o local jureia

with(cax3[cax3$local == "retiro",], 
     scatter.smooth(x = dap_total, 
                    y = altura, 
                    main = "retiro")) #verificando linearidade do DAP com a altura, para o local retiro


#Utilizando o pacote lattice, analise a relação dap-altura ('dap' e 'h') em função do caixetal (local), mas somente para as árvores 3) de caixeta (Tabebuia cassinoides).

library(lattice) #carregando o pacote

xyplot(altura ~ dap_total | local, data = cax3)  #relação dap-altura ('dap' e 'h') em função do caixetal (local), para o banco com filtro para Tabebuia cassinoides
